%evaluate_structure.m 
%assigns values to the matrices of the SVAR system studied in ``The Neo-Fisher Effect in the United States and Japan.''
%Note PSI here is denote P in the paper and P here is denoted \psi in the paper.
% Martn Uribe, May 2017. 

RHO(aux_RHO) = tryparam(iRHO);
P(aux_P) = tryparam(iP);
B(aux_B) = tryparam(iB);
C(aux_C) = tryparam(iC);
Ap(:) = tryparam(iAp);
R(aux_R) = tryparam(iR);

aux = ny*(nlags-1);
 F = [B C*RHO;
eye(aux) zeros(aux,ny+nshocks);
zeros(nshocks,ny*nlags) RHO];
PSI = [C*P;
zeros(aux,nshocks);
P];

Q = PSI*PSI';

%check that the eigenvalues of the system are all inside the unit circle 
unit_circle = max(abs(eig(F(1:ny*nlags,1:ny*nlags))))<1;