%get_prior.m
function [prior,PRIOR] = get_prior(p,iB,iC,iRHO,iP,iAp,iR,meanY,varY,stdY,T,iBown,iBother);

if nargin<2
%read data
[Dy,Dpai,Dff, y, pai,ff,date, readme_data] = read_data;
Y = [Dy ff-pai Dff];
T = size(Y,1);
meanY = mean(Y)';
stdY = std(Y)';
varY = var(Y)';
create_structure; %creaes the matrices that constitute the structure of the SVAR;
end

PRIOR = 0*p;

PRIOR(iBown) = dnormal(p(iBown),0.95,0.5);
PRIOR(iBother) = dnormal(p(iBother),0,0.25);
PRIOR(iC) = dnormal(p(iC),0,1);
PRIOR(iC([4 5])) = dgamma(-p(iC([4 5])),1,1);
PRIOR(iC(3)) = dnormal(p(iC(3)),-1,1);
PRIOR(iC(2)) = dnormal(p(iC(2)),-1,1);
PRIOR(iRHO) = dbeta(p(iRHO),[0.3;0.3;0.3;0.7],[0.2;0.2;0.2;0.2]);
PRIOR(iP) = dgamma(p(iP),1,1);
PRIOR(iAp) = dnormal(p(iAp),meanY,stdY/sqrt(T));
PRIOR(iR) = duniform(p(iR),0,0.1*varY);
prior = sum(log(PRIOR));