%real_interest_rate.m returns a plot of the IRF of the predicted real interest rate  to permanent and transitory monetary shocks in the empirical model developed in Uribe, Martn, ``The Neo-Fisher Effect: Econometric Evidence from Empirical and Optimizing Models.''
% Martn Uribe,  August 2018.


aux = cd;

[IRx_4lags,IRz_4lags] = plot_ir_chain

r_4lags = IRx_4lags(1:end-1,3) - IRx_4lags(2:end,2);

r_4lagsz = IRz_4lags(1:end-1,3) - IRz_4lags(2:end,2);
t = (0:size(IRx_4lags,1)-2)';

clf
plot(t,r_4lags,'b','linewidth',3)
hold on
plot(t,r_4lagsz,'b--','linewidth',3)
xlabel('quarters after the shock')
ylabel({'Deviation from steady state','percent per year'})
%title('4-Lag SVAR')
legend('Permanent shock','Transitory shock')
hold off