%run_bayes.m estimates the parameters of the model and stores the result in bayes.mat
% Martn Uribe, May 2017. 

clear all

mxlp = -inf;
mxpar = [];

I = 4; %# of times probe.m will be run
for  i = 1:I

disp(['probe.m: run ' num2str(i) ' out ot ' num2str(I)]);

[mxpar0,mxlp0] = probe; % returns the vector mxpar0 that maximizes the log posterior likelihood. 
%It also returns mxlp0, the value of the log posterior likelihood at mxpar0.  The program is run several times from different initial conditions.
%mxpar and mxlp are   used as a starting 
%point for  
%estimation using Bayesian techniques. 
%If priors are uniform, then mxpar is a first approach to the  MLE parameter estimate (clone.m belo regines this estimate further). The model is the SVAR system developed in ``The Neo-Fisher Effect: Econometric Evidence from Empirical and Optimizing Models,'' by Martn Uribe. 

if  mxlp0 > mxlp
mxlp = mxlp0;
mxpar =  mxpar0;

end
end

save probe.mat mxpar mxlp

disp('Running clone.m.');
clone;

disp('Running bayes.m.');
bayes;
