function [Vyr,Vxr,Vy,Vx]=vardecomp(param);
%[Vyr,Vxr,Vy,Vx]=vardecomp(param)  returns   the variance decomposition of the SVAR system developed in ``The Neo-Fisher Effect in the United States and Japan,'' by Martn Uribe with observables o_t = [Dy Dpai Dff], where y is the log of output, r=ff-pai is the interest-rate inflation differential,  ff is the federal funds rate, and pai is inflation. Note that the variables in o_t are changed from the formulation in the paper. The reason is that here, I wish to know the decomposition of Dpai and not r=ff-pai (see below for this transformation in involving the matrix Hp). 
%The state-space representation of the model is (ignoring  innovations and measurement-error term in the observation equation)
%Z_t = P Z_t-1 + PSI eps_t
%o_t = Hp*Z_t
%where Z_t-1 = [z_t-1 z_t-2 z_t-3 z_t-4 u_t-1]
%z_t = [yhat_t;paihat_t;ihat_t];
% Martn Uribe, 23-May-2018.

create_structure %create matrices of the SVAR system
tryparam = param;
evaluate_structure; %assign values to the matrices of the SVAR system

%the rows of Hp are Dy, r=i-pai, and Di. Make it instead  Dy Dpai, Di
Hp = [Hp(1,:);    [ 0     1     0     0      -1  0    0     0     0     0     0     0     1  0     0     0];Hp(3,:)];

gx = Hp;
hx = F;
ETA1 = PSI;
[Vyr,Vxr,Vy,Vx]=variance_decomposition(gx,hx,ETA1) ;
